E-MailRelay

Public Member Functions | List of all members
GSmtp::ServerProtocol::Sender Class Referenceabstract

An interface used by ServerProtocol to send protocol replies. More...

`#include <gsmtpserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocol::Sender:

## Public Member Functions
virtual void | protocolSend (const std::string &s, bool go_secure)=0
| Called when the protocol class wants to send data down the socket.
virtual void | protocolShutdown ()=0
| Called on receipt of a quit command after the quit response has been sent allowing the socket to be shut down.
virtual | ~Sender ()=default
| Destructor.

## Detailed Description

An interface used by ServerProtocol to send protocol replies.

Definition at line 60 of file gsmtpserverprotocol.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gsmtp/gsmtpserverprotocol.h